import {
    ApiModel
} from "../../utils/api";
const _Http = new ApiModel;
Page({

    /**
     * 页面的初始数据
     */
    data: {
        showIndex: -1, //显示按钮的下标
        cooperationList: [], //合作列表
        condition: "", //模糊搜索条件
        scrolltolowerThrottle: true, //下拉触底截流
        pageNumber: 1, //请求分页
        pageTotal: 1, //总页数
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {},
    /* 搜索 */
    searchQuery({
        detail
    }) {
        if (this.data.condition == detail) return;
        this.setData({
            condition: detail,
            pageNumber: 1,
            pageTotal: 1
        })
        this.getList();
    },
    /* 点击item */
    showBtnIndex(e) {
        const {
            index
        } = e.currentTarget.dataset;
        this.setData({
            showIndex: index
        })
    },
    /* 跳转商户 */
    jumpForDetails() {
        const data = this.data.cooperationList[this.data.showIndex];
        wx.navigateTo({
            url: '/pages/businessPartner/details?data=' + JSON.stringify(data),
        })
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
        this.setData({
            pageNumber: 1,
            pageTotal: 1
        });
        this.getList()
    },
    /* 下拉触底 */
    scrolltolower() {
        if (!this.data.scrolltolowerThrottle) return;
        this.setData({
            scrolltolowerThrottle: false
        })
        if (this.data.pageTotal > this.data.pageNumber) this.getList();
    },
    getList() {
        _Http.basic({
            "accesstoken": wx.getStorageSync('userData').token,
            "classname": "customer.tagents.tagents",
            "method": "query_cooperation",
            "content": {
                "getdatafromdbanyway": true,
                "pageNumber": this.data.pageNumber,
                "pageSize": 20,
                "where": {
                    "condition": this.data.condition,
                    "ftype": "",
                    "fstatus": "合作"
                }
            }
        }).then(res => {
            console.log(res)
            if (res.msg != '成功') return wx.showToast({
                title: res.data,
                icon: "none"
            });
            let cooperationList = [];
            if (res.pageNumber == 1) {
                cooperationList = res.data
            } else {
                cooperationList = this.data.requestList.concat(res.data)
            };
            this.setData({
                cooperationList,
                pageTotal: res.pageTotal,
                pageNumber: this.data.pageNumber + 1,
                scrolltolowerThrottle: true
            });
        })
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})